#!/usr/bin/env bash
# preserve the user's existing setting
if [ ! -z "${HOME_CWB+x}" ]; then
        export BACKUP_HOME_CWB="${HOME_CWB}"
fi

export HOME_CWB=@HOME_CWB_PATH@

# preserve the user's existing setting
if [ ! -z "${CWB_ROOTLOGON_FILE+x}" ]; then
        export BACKUP_CWB_ROOTLOGON_FILE="${CWB_ROOTLOGON_FILE}"
fi

export CWB_ROOTLOGON_FILE=@CWB_ROOTLOGON_FILE_PATH@

# preserve the user's existing setting
if [ ! -z "${CWB_SCRIPTS+x}" ]; then
        export BACKUP_CWB_SCRIPTS="${CWB_SCRIPTS}"
fi

export CWB_SCRIPTS=@CWB_SCRIPTS_DIR@


# preserve the user's existing setting
if [ ! -z "${CWB_MACROS+x}" ]; then
        export BACKUP_CWB_MACROS="${CWB_MACROS}"
fi

export CWB_MACROS=@CWB_MACROS_DIR@

# preserve the user's existing setting
if [ ! -z "${CWB_PARAMETERS_FILE+x}" ]; then
        export BACKUP_CWB_PARAMETERS_FILE="${CWB_PARAMETERS_FILE}"
fi

export CWB_PARAMETERS_FILE=${CWB_MACROS}/cwb2G_parameters.C

# preserve the user's existing setting
if [ ! -z "${CWB_ANALYSIS+x}" ]; then
        export BACKUP_CWB_ANALYSIS="${CWB_ANALYSIS}"
fi

export CWB_ANALYSIS="2G"

# preserve the user's existing setting
if [ ! -z "${NODE_DATA_DIR+x}" ]; then
        export BACKUP_NODE_DATA_DIR="${NODE_DATA_DIR}"
fi

# check if we are in a HTCondor job
if [ ! -z "${_CONDOR_SCRATCH_DIR+x}" ]; then
        export NODE_DATA_DIR=${_CONDOR_SCRATCH_DIR}
elif [ ! -z "${TMPDIR+x}" ]; then
        export NODE_DATA_DIR=${TMPDIR}
else
        export NODE_DATA_DIR="/tmp"
fi

# preserve the user's existing setting
if [ ! -z "${CONDOR_LOG_DIR+x}" ]; then
        export BACKUP_CONDOR_LOG_DIR="${CONDOR_LOG_DIR}"
fi

# Check if /user1/${USER} exits otherwise default to XDG_STATE_HOME (${HOME}/.local/state)
if [ -d /usr1/${USER} ]; then
        export CONDOR_LOG_DIR=/usr1/${USER}
else
        export CONDOR_LOG_DIR=${XDG_STATE_HOME:-${HOME}/.local/state}
fi

# preserve the user's existing setting
if [ ! -z "${WWW_PUBLIC_DIR+x}" ]; then
        export BACKUP_WWW_PUBLIC_DIR="${WWW_PUBLIC_DIR}"
fi

export WWW_PUBLIC_DIR=""

# preserve the user's existing setting
if [ ! -z "${CWB_PARAMETERS_FILE+x}" ]; then
        export BACKUP_CWB_PARAMETERS_FILE="${CWB_PARAMETERS_FILE}"
fi

export CWB_PARAMETERS_FILE="${CWB_MACROS}/cwb2G_parameters.C"


# preserve the user's existing setting
if [ ! -z "${CWB_UPARAMETERS_FILE+x}" ]; then
        export BACKUP_CWB_UPARAMETERS_FILE="${CWB_UPARAMETERS_FILE}"
fi

export CWB_UPARAMETERS_FILE="./config/user_parameters.C"

# preserve the user's existing setting
if [ ! -z "${CWB_EPARAMETERS_FILE+x}" ]; then
        export BACKUP_CWB_EPARAMETERS_FILE="${CWB_EPARAMETERS_FILE}"
fi

export CWB_EPARAMETERS_FILE="${CWB_MACROS}/cwb_eparameters.C"


# preserve the user's existing setting
if [ ! -z "${CWB_PARMS_FILES+x}" ]; then
        export BACKUP_CWB_PARMS_FILES="${CWB_PARMS_FILES}"
fi
export CWB_PARMS_FILES="${CWB_ROOTLOGON_FILE} ${CWB_PARAMETERS_FILE} ${CWB_UPARAMETERS_FILE} ${CWB_EPARAMETERS_FILE}"

# preserve the user's existing setting
if [ ! -z "${CWB_EMPARAMETERS_FILE+x}" ]; then
        export BACKUP_CWB_EMPARAMETERS_FILE="${CWB_EMPARAMETERS_FILE}"
fi

export CWB_EMPARAMETERS_FILE=""

# preserve the user's existing setting
if [ ! -z "${CWB_PPARAMETERS_FILE+x}" ]; then
        export BACKUP_CWB_PPARAMETERS_FILE="${CWB_PPARAMETERS_FILE}"
fi

export CWB_PPARAMETERS_FILE="${CWB_MACROS}/cwb_pparameters.C"

# preserve the user's existing setting
if [ ! -z "${CWB_UPPARAMETERS_FILE+x}" ]; then
        export BACKUP_CWB_UPPARAMETERS_FILE="${CWB_UPPARAMETERS_FILE}"
fi

export CWB_UPPARAMETERS_FILE="./config/user_pparameters.C"

# preserve the user's existing setting
if [ ! -z "${CWB_EPPARAMETERS_FILE+x}" ]; then
        export BACKUP_CWB_EPPARAMETERS_FILE="${CWB_EPPARAMETERS_FILE}"
fi

export CWB_EPPARAMETERS_FILE="${CWB_MACROS}/cwb_epparameters.C"

# preserve the user's existing setting
if [ ! -z "${CWB_PPARMS_FILES+x}" ]; then
        export BACKUP_CWB_PPARMS_FILES="${CWB_PPARMS_FILES}"
fi
export CWB_PPARMS_FILES="${CWB_ROOTLOGON_FILE} ${CWB_PARAMETERS_FILE} ${CWB_UPARAMETERS_FILE} ${CWB_EMPARAMETERS_FILE} ${CWB_EPARAMETERS_FILE} ${CWB_PPARAMETERS_FILE} ${CWB_UPPARAMETERS_FILE} ${CWB_EPPARAMETERS_FILE}"

# preserve the user's existing setting
if [ ! -z "${CWB_NETC_FILE+x}" ]; then
        export BACKUP_CWB_NETC_FILE="${CWB_NETC_FILE}"
fi

export CWB_NETC_FILE="${CWB_MACROS}/cwb_net.C"

# preserve the user's existing setting
if [ ! -z "${CWB_LAG_NUMBER+x}" ]; then
        export BACKUP_CWB_LAG_NUMBER="${CWB_LAG_NUMBER}"
fi

export CWB_LAG_NUMBER=-1

# preserve the user's existing setting
if [ ! -z "${CWB_SLAG_NUMBER+x}" ]; then
        export BACKUP_CWB_SLAG_NUMBER="${CWB_SLAG_NUMBER}"
fi

export CWB_SLAG_NUMBER=-1

# preserve the user's existing setting
if [ ! -z "${CWB_HTML_INDEX+x}" ]; then
        export BACKUP_CWB_HTML_INDEX="${CWB_HTML_INDEX}"
fi

export CWB_HTML_INDEX="${CWB_MACROS}/html_templates/html_index_template.txt"

# preserve the user's existing setting
if [ ! -z "${CWB_HTML_HEADER+x}" ]; then
        export BACKUP_CWB_HTML_HEADER="${CWB_HTML_HEADER}"
fi

export CWB_HTML_HEADER="${CWB_MACROS}/html_templates/html_header_template.txt"

# preserve the user's existing setting
if [ ! -z "${CWB_HTML_BODY_PROD+x}" ]; then
        export BACKUP_CWB_HTML_BODY_PROD="${CWB_HTML_BODY_PROD}"
fi

export CWB_HTML_BODY_PROD="${CWB_MACROS}/html_templates/html_body_prod_template.txt"

if [[ ! -f "${CONDA_PREFIX}/man/man1/cwb_inet.1" ]]; then
        export BACKUP_MANPATH="${MANPATH}"
        export MANPATH="${HOME_CWB}/man:${MANPATH}"
fi

#if $CWB_CONFIG is defined, then
# export=ROOT_INCLUDE_PATH: used for include path by macros
if [ ! -z "${CWB_CONFIG+x}" ]; then
	export ROOT_INCLUDE_PATH="$CWB_CONFIG"
fi

if [ ! -z "${CWB_GWAT+x}" ]; then
        export BACKUP_CWB_GWAT="${CWB_GWAT}"
fi

export CWB_GWAT=@CWB_GWAT@

#add logo
if [ ! -z "${HOME_WAT+x}" ]; then
        if hash cat 2>/dev/null; then 
                cat ${HOME_WAT}/cWB_ascii_logo.txt    
        fi
fi
